<div class="grid-container">
    <div [hidden]="visibility" class="todo-card">
        <h2>Todo #{{todos[0].id}}</h2>
        <p>{{todos[0].content}}</p>
        <p>Status: {{todos[0].status}}</p>
        <label for="updateBox1">Update Task: </label>
        <input [(ngModel)] = "todos[0].content" id="updateBox1"/>
    </div>
    <div [hidden]="visibility" class="todo-card">
        <h2>Todo #{{todos[1].id}}</h2>
        <p>{{todos[1].content}}</p>
        <p>Status: {{todos[1].status}}</p>
        <label for="updateBox2">Update Task: </label>
        <input [(ngModel)] = "todos[1].content" id="updateBox2"/>
    </div>
    <div [hidden]="visibility" class="todo-card">
        <h2>Todo #{{todos[2].id}}</h2>
        <p>{{todos[2].content}}</p>
        <p>Status: {{todos[2].status}}</p>
        <label for="updateBox3">Update Task: </label>
        <input [(ngModel)] = "todos[2].content" id="updateBox3"/>
    </div>
    <div [hidden]="visibility" class="todo-card">
        <h2>Todo #{{todos[3].id}}</h2>
        <p>{{todos[3].content}}</p>
        <p>Status: {{todos[3].status}}</p>
        <label for="updateBox4">Update Task: </label>
        <input [(ngModel)] = "todos[3].content" id="updateBox4"/>
    </div>
</div>
<button (click)="toggleVisibility()">Click Me!</button>